Bug 237207 - oddjob: use consistent "jobs" directory, independent of arch
Summary: oddjob: use consistent "jobs" directory, independent of arch
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: oddjob   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-19 23:39 UTC by Chris Weyl
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 00:09:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Weyl 2007-04-19 23:39:39 UTC
Description of problem:
oddjob uses a default directory for dependent programs to store their "helpers".
 Depending on the architecture (and hence %{_libdir}), this directory is either

/usr/lib/oddjob, or
/usr/lib64/oddjob.

I suspect these directories also have implications as to when SELinux is enforcing.

The problem comes around when a noarch package tries to leverage oddjob.  What
directory should it use?  A noarch package can't use %{_libdir} for file
placement, as it may be inconsistent with %{_libdir} on the resulting system.

e.g. a noarch package is built on a x86_64 system, so attempts to install into
/usr/lib64/oddjob.  A user then goes to install this noarch package on an i686
system...  But /usr/lib64/oddjob is the wrong place on this system.

Version-Release number of selected component (if applicable):
Latest fc6 oddjob package.  This bug appears to exist in fc5, fc6 and devel.

Expected results:
oddjob should have a single, consistent, architecture independent place for its
users to store their helper scripts.

Comment 1 Nalin Dahyabhai 2007-09-05 21:40:34 UTC
Another package can place its own helpers anywhere, really.  Adding
%{_libexecdir}/oddjob to the package for 0.29.


Note You need to log in before you can comment on or make changes to this bug.